import * as Minecraft from "@minecraft/server"

Minecraft.world.afterEvents.itemUse.subscribe(data => {
    if (data.itemStack.typeId == "add:void_totem") {
        data.source.runCommand('tellraw @s[family=unskilled] {\"rawtext\":[{\"text\":\"§aTotem Protection Activated\"}]}')
        data.source.runCommand('tellraw @s[family=totem] {\"rawtext\":[{\"text\":\"§eYou\'ve already used this Totem\"}]}')
        data.source.runCommand('tellraw @s[family=guardian] {\"rawtext\":[{\"text\":\"§bYou\'ve already used §pVoid Guardian\"}]}')
        data.source.runCommand('tellraw @s[family=slayer] {\"rawtext\":[{\"text\":\"§eYou\'ve already used §uVoid Slayer\"}]}')
        data.source.runCommand('tellraw @s[family=fault] {\"rawtext\":[{\"text\":\"§o§cDON\'T KILL TRADERS!...\"}]}')
        data.source.runCommand('event entity @s[family=unskilled] totem')
        data.source.runCommand('clear @s[family=unskilled] add:void_totem 0 1')
    }
    if (data.itemStack.typeId == "add:void_guardian") {
        data.source.runCommand('tellraw @s[family=unskilled] {\"rawtext\":[{\"text\":\"§bGuardian Protection Activated\"}]}')
        data.source.runCommand('tellraw @s[family=totem] {\"rawtext\":[{\"text\":\"§dProtection Updated\"}]}')
        data.source.runCommand('tellraw @s[family=guardian] {\"rawtext\":[{\"text\":\"§uYou\'ve already used this Totem\"}]}')
        data.source.runCommand('tellraw @s[family=slayer] {\"rawtext\":[{\"text\":\"§dYou\'ve already used §2Void Slayer\"}]}')
        data.source.runCommand('tellraw @s[family=fault] {\"rawtext\":[{\"text\":\"§o§cDON\'T KILL TRADERS!...\"}]}')
        data.source.runCommand('event entity @s[family=unskilled] guardian')
        data.source.runCommand('event entity @s[family=totem] guardian')
        data.source.runCommand('clear @s[family=unskilled] add:void_guardian 0 1')
        data.source.runCommand('clear @s[family=totem] add:void_guardian 0 1')
    }
    if (data.itemStack.typeId == "add:void_slayer") {
        data.source.runCommand('tellraw @s[family=unskilled] {\"rawtext\":[{\"text\":\"§eSlayer Protection Activated\"}]}')
        data.source.runCommand('tellraw @s[family=totem] {\"rawtext\":[{\"text\":\"§dProtection Updated\"}]}')
        data.source.runCommand('tellraw @s[family=guardian] {\"rawtext\":[{\"text\":\"§aProtection Updated\"}]}')
        data.source.runCommand('tellraw @s[family=slayer] {\"rawtext\":[{\"text\":\"§bYou\'ve already used this Totem\"}]}')
        data.source.runCommand('tellraw @s[family=fault] {\"rawtext\":[{\"text\":\"§o§cDON\'T KILL TRADERS!...\"}]}')
        data.source.runCommand('event entity @s[family=unskilled] slayer')
        data.source.runCommand('event entity @s[family=totem] slayer')
        data.source.runCommand('event entity @s[family=guardian] slayer')
        data.source.runCommand('clear @s[family=unskilled] add:void_slayer 0 1')
        data.source.runCommand('clear @s[family=totem] add:void_slayer 0 1')
        data.source.runCommand('clear @s[family=guardian] add:void_slayer 0 1')
    }
})